define puppet_enterprise::amq::config::statistics_broker_plugin(
  $brokername    = $::clientcert,
  $plugin_ensure = 'present',
){
  pe_validate_re($plugin_ensure, '^(present|absent|true|false)$')

  $broker_context = "/files/etc/puppetlabs/activemq/activemq.xml/beans/broker[#attribute/brokerName='${brokername}']"
  $plugin_context = "${broker_context}/plugins/statisticsBrokerPlugin"

  if $plugin_ensure =~ /^(absent|false)$/ {
    $changes = "rm ${plugin_context}"
  } else {
    $changes = "set ${plugin_context} ''"
  }

  augeas { "${brokername}: AMQ statisticsBrokerPlugin: ${title}":
    incl    => '/etc/puppetlabs/activemq/activemq.xml',
    lens    => 'ActiveMQ_XML.lns',
    context => $plugin_context,
    changes => $changes,
    require => Puppet_enterprise::Amq::Config::Broker[$brokername],
    notify  => Service['pe-activemq'],
  }
}
